﻿using System;
using System.Collections.Generic;
using System.Collections.Generic.Sync;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;


namespace WayneGameSolution.Chat
{


    public interface IChatMessage : ICloneable, IRecycleNode<IChatMessage>
    {
        string ChannelID { get; set; }

        string ChannelName { get; set; }

        string ChaterFrom { get; set; }

        string ChaterTo { get; set; }

        MessageRenderType RenderType { get; set; }

        string Text { get; set; }
        


  
    }
 
    public enum MessageRenderType
    {
        Emote = 3,
        FlatSay = 0,
        Special = 999,
        Yell = 2
    }
}

