﻿using System;
using System.Collections.Generic;
using System.Collections.Generic.Sync ;
using System.Linq;
using System.Text;

using System.Runtime.Serialization;

namespace WayneGameSolution.Chat
{
   
    public class ChatMessage : IChatMessage 
    {

        public ChatMessage()
        { }

 

        #region IChatMessage Members
        
        public string ChannelID
        {
            get;
            set;
        }
        
        public string ChannelName
        {
            get;
            set;
        }
        
        public string ChaterFrom
        {
            get;
            set; 
        }
        
        public string ChaterTo
        {
            get;
            set; 
        }
        
        public MessageRenderType RenderType
        {
            get;
            set;
        }
        
        public string Text
        {
            get;
            set;
        }
        
        public DateTime TimeStamp
        {
            get;
            set;
        }

   
        #endregion

        #region ICloneable Members

        public object Clone()
        {
            return MemberwiseClone();
        }

        #endregion



        #region IRecycleNode<IChatMessage> Members

        public IRecycleNode<IChatMessage> Lower
        {
            get;
            set;
        }

        public IRecycleNode<IChatMessage> Higher
        {
            get;
            set;
        }

        public IChatMessage Value
        {
            get
            {
                return this;
            }
            set
            {
                throw new NotImplementedException();
            }
        }

        #endregion
    }
}
